{% extends "base.html" %}
{% load crispy_forms_tags %}
{% block content %}

<br>
<br>
<br>
<br>
 <div class="container">
    <div class="row">
      <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
        <div class="card card-signin my-5">
          <div class="card-body">
            <h5 class="card-title text-center">Connexion</h5>
            <form class="form-signin" method="POST" action="{% url 'connection' %}">
                {% csrf_token %}
                {{ form  | crispy }}

              <button class="btn btn-lg btn-primary btn-block text-uppercase" type="submit">Se connecter</button>
              <hr class="my-4">
              <a class="btn btn-lg btn-google btn-block text-uppercase" href="{% url 'social:begin' backend='epita' %}"><i class="fab fa-google mr-2"></i> Connexion via CRI</a>
                <a href="{% url 'signup' %}">Vous n'avez pas de compte ? Inscrivez-vous !</a>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

{% endblock %}
